LibreOffice: HierarchyBrowser Service Reference

LibreOffice LibreOffice 5.1 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Exported Interfaces | List of all members
HierarchyBrowser Service Referencepublished

allows scanning a configuration data repository for available components . More...

`import"HierarchyBrowser.idl";`

Inheritance diagram for HierarchyBrowser:

## Exported Interfaces
interface | com::sun::star::task::XJob
| allows executing a scan of the repository More...

## Additional Inherited Members
Public Member Functions inherited from XJob
any | execute ([in] sequence< com::sun::star::beans::NamedValue > Arguments) raises ( com::sun::star::lang::IllegalArgumentException , com::sun::star::uno::Exception )
| executes the job synchronously More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows scanning a configuration data repository for available components .

Since
  OOo 1.1.2

## Exported Interfaces

interface com::sun::star::task::XJob

allows executing a scan of the repository

The repository to browse is selected by arguments passed to com::sun::star::task::XJob::execute(). The names and meanings of such arguments depend on the implementation. Each implementation must document such arguments.

The following argument to com::sun::star::task::XJob::execute() must be supported by all implementations:

`ExcludeComponents` : `string[]` or `string`
  A component or list of components that should be skipped and excluded from the result. If this argument appears multiple times it is handled cumulatively.

The return value of com::sun::star::task::XJob::execute() is a list of components found. The format in which components are returned may depend on the implementation. Each implementation should support returning component identifiers that are compatible with some implementation of Backend.

The documentation for this service was generated from the following file:

- com/sun/star/configuration/backend/HierarchyBrowser.idl